using Microsoft.Extensions.Logging;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service.Impl
{
    public class T_RP_StationPara_110_2ServiceImpl : BaseServiceImpl<T_RP_StationPara_110_2>, IT_RP_StationPara_110_2Service
    {
        private Repository<T_RP_StationPara_110_2> _repository;
        private ILogger<T_RP_StationPara_110_2ServiceImpl> _logger;
        public T_RP_StationPara_110_2ServiceImpl(Repository<T_RP_StationPara_110_2> repository, ILogger<T_RP_StationPara_110_2ServiceImpl> logger) :base(repository)
        {
            _logger = logger;
            _repository = repository;
        }
        public async Task<bool> AddTaskAsync(T_RP_StationPara_110_2 record)
        {
            try
            {
                bool result = await _repository.InsertAsync(record);
                return result;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
    }
}